My Project: load3ds Namespace Reference

My Project

Functions | Variables
load3ds Namespace Reference

## Functions

void | ReadChunk ()
void | SkipChunk ()
string | ReadCString ()
void | ReadRGB (int Format, unsigned char &Red, unsigned char &Green, unsigned char &Blue)
unsigned char | ReadPercent (int Format)
void | ReadVertexList ()
void | ReadFaceList ()
void | ReadFaceMatList ()
void | ReadTexCoords ()
void | LoadMap ()
void | ReadMap (int Layer)
void | ReadTriMesh ()
void | ReadBrushBlock ()
void | New3ds ()
Mesh * | Load3ds (string URL, Entity *parent_ent)

## Variables

const int | M3D_3DS_RGB3F = 0x0010
const int | M3D_3DS_RGB3B = 0x0011
const int | M3D_3DS_RGBGAMMA3B = 0x0012
const int | M3D_3DS_RGBGAMMA3F = 0x0013
const int | M3D_3DS_PERCENTI = 0x0030
const int | M3D_3DS_PERCENTF = 0x0031
const int | M3D_3DS_MAIN = 0x4D4D
const int | M3D_3DS_3DEDITOR = 0x3D3D
const int | M3D_3DS_OBJECTBLOCK = 0x4000
const int | M3D_3DS_TRIMESH = 0x4100
const int | M3D_3DS_VERTEXLIST = 0x4110
const int | M3D_3DS_FACELIST = 0x4120
const int | M3D_3DS_FACEMATLIST = 0x4130
const int | M3D_3DS_TEXCOORDS = 0x4140
const int | M3D_3DS_BrushBLOCK = 0xAFFF
const int | M3D_3DS_BrushNAME = 0xA000
const int | M3D_3DS_BrushAMBIENT = 0xA010
const int | M3D_3DS_BrushDIFFUSE = 0xA020
const int | M3D_3DS_BrushSPECULAR = 0xA030
const int | M3D_3DS_BrushSHININESS = 0xA040
const int | M3D_3DS_TEXTUREMAP1 = 0xA200
const int | M3D_3DS_TEXTUREMAP2 = 0xA33A
const int | M3D_3DS_MAPFILENAME = 0xA300
const int | M3D_3DS_MAPVSCALE = 0xA354
const int | M3D_3DS_MAPUSCALE = 0xA356
const int | M3D_3DS_MAPUOFFSET = 0xA358
const int | M3D_3DS_MAPVOFFSET = 0xA35A
const int | M3D_3DS_MAPROTATION = 0xA35C
File * | Stream
unsigned short | ChunkID
int | ChunkSize
Surface * | surface
int | VertexCount
int | TriangleCount
Mesh * | mesh
list< Brush * > | Brushs
Brush * | brush
int | TextureLayer
Texture * | texture
list< int > | MovedTris

## Function Documentation

## § Load3ds()

Mesh * load3ds::Load3ds | ( | string | URL,
|  | Entity * | parent_ent
| ) |  |

## § LoadMap()

void load3ds::LoadMap | ( |  | ) |

## § New3ds()

void load3ds::New3ds | ( |  | ) |

## § ReadBrushBlock()

void load3ds::ReadBrushBlock | ( |  | ) |

## § ReadChunk()

void load3ds::ReadChunk | ( |  | ) |

## § ReadCString()

string load3ds::ReadCString | ( |  | ) |

## § ReadFaceList()

void load3ds::ReadFaceList | ( |  | ) |

## § ReadFaceMatList()

void load3ds::ReadFaceMatList | ( |  | ) |

## § ReadMap()

void load3ds::ReadMap | ( | int | Layer | ) |

## § ReadPercent()

unsigned char load3ds::ReadPercent | ( | int | Format | ) |

## § ReadRGB()

void load3ds::ReadRGB | ( | int | Format,
|  | unsigned char & | Red,
|  | unsigned char & | Green,
|  | unsigned char & | Blue
| ) |  |

## § ReadTexCoords()

void load3ds::ReadTexCoords | ( |  | ) |

## § ReadTriMesh()

void load3ds::ReadTriMesh | ( |  | ) |

## § ReadVertexList()

void load3ds::ReadVertexList | ( |  | ) |

## § SkipChunk()

void load3ds::SkipChunk | ( |  | ) |

## Variable Documentation

## § brush

Brush* load3ds::brush

## § Brushs

list<Brush*> load3ds::Brushs

## § ChunkID

unsigned short load3ds::ChunkID

## § ChunkSize

int load3ds::ChunkSize

## § M3D_3DS_3DEDITOR

const int load3ds::M3D_3DS_3DEDITOR = 0x3D3D

## § M3D_3DS_BrushAMBIENT

const int load3ds::M3D_3DS_BrushAMBIENT = 0xA010

## § M3D_3DS_BrushBLOCK

const int load3ds::M3D_3DS_BrushBLOCK = 0xAFFF

## § M3D_3DS_BrushDIFFUSE

const int load3ds::M3D_3DS_BrushDIFFUSE = 0xA020

## § M3D_3DS_BrushNAME

const int load3ds::M3D_3DS_BrushNAME = 0xA000

## § M3D_3DS_BrushSHININESS

const int load3ds::M3D_3DS_BrushSHININESS = 0xA040

## § M3D_3DS_BrushSPECULAR

const int load3ds::M3D_3DS_BrushSPECULAR = 0xA030

## § M3D_3DS_FACELIST

const int load3ds::M3D_3DS_FACELIST = 0x4120

## § M3D_3DS_FACEMATLIST

const int load3ds::M3D_3DS_FACEMATLIST = 0x4130

## § M3D_3DS_MAIN

const int load3ds::M3D_3DS_MAIN = 0x4D4D

## § M3D_3DS_MAPFILENAME

const int load3ds::M3D_3DS_MAPFILENAME = 0xA300

## § M3D_3DS_MAPROTATION

const int load3ds::M3D_3DS_MAPROTATION = 0xA35C

## § M3D_3DS_MAPUOFFSET

const int load3ds::M3D_3DS_MAPUOFFSET = 0xA358

## § M3D_3DS_MAPUSCALE

const int load3ds::M3D_3DS_MAPUSCALE = 0xA356

## § M3D_3DS_MAPVOFFSET

const int load3ds::M3D_3DS_MAPVOFFSET = 0xA35A

## § M3D_3DS_MAPVSCALE

const int load3ds::M3D_3DS_MAPVSCALE = 0xA354

## § M3D_3DS_OBJECTBLOCK

const int load3ds::M3D_3DS_OBJECTBLOCK = 0x4000

## § M3D_3DS_PERCENTF

const int load3ds::M3D_3DS_PERCENTF = 0x0031

## § M3D_3DS_PERCENTI

const int load3ds::M3D_3DS_PERCENTI = 0x0030

## § M3D_3DS_RGB3B

const int load3ds::M3D_3DS_RGB3B = 0x0011

## § M3D_3DS_RGB3F

const int load3ds::M3D_3DS_RGB3F = 0x0010

## § M3D_3DS_RGBGAMMA3B

const int load3ds::M3D_3DS_RGBGAMMA3B = 0x0012

## § M3D_3DS_RGBGAMMA3F

const int load3ds::M3D_3DS_RGBGAMMA3F = 0x0013

## § M3D_3DS_TEXCOORDS

const int load3ds::M3D_3DS_TEXCOORDS = 0x4140

## § M3D_3DS_TEXTUREMAP1

const int load3ds::M3D_3DS_TEXTUREMAP1 = 0xA200

## § M3D_3DS_TEXTUREMAP2

const int load3ds::M3D_3DS_TEXTUREMAP2 = 0xA33A

## § M3D_3DS_TRIMESH

const int load3ds::M3D_3DS_TRIMESH = 0x4100

## § M3D_3DS_VERTEXLIST

const int load3ds::M3D_3DS_VERTEXLIST = 0x4110

## § mesh

Mesh* load3ds::mesh

## § MovedTris

list<int> load3ds::MovedTris

## § Stream

File* load3ds::Stream

## § surface

Surface* load3ds::surface

## § texture

Texture* load3ds::texture

## § TextureLayer

int load3ds::TextureLayer

## § TriangleCount

int load3ds::TriangleCount

## § VertexCount

int load3ds::VertexCount